Package: groovy.org.codenarc.rule.dry

## [Groovy] Class DuplicateMapLiteralRule

- groovy.org.codenarc.rule.dry.DuplicateMapLiteralRule

- Check for multiple instances of the same Map literal, limited to Maps where the keys and values are all constants or literals.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority